Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.mbeans
Class HL7MonitorData

    java.lang.Object
      com.stc.connector.tcpip.model.mbeans.TCPIPMonitorData
          com.stc.connector.tcpip.hl7.mbeans.HL7MonitorData

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.MonitorDataContainer

    public class HL7MonitorData

extends TCPIPMonitorData

Monitor Data object for HL7

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/22 05:53:49 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7MonitorData()` Constructor

Method Summary
`java.lang.String` | `getHL7SequenceNumber()` Get the HL7 sequence number for processing next message
`void` | `setHL7SequenceNumber(java.lang.String hl7SequenceNumber)` Sets the HL7 sequence number for processing next message

Methods inherited from class com.stc.connector.tcpip.model.mbeans.TCPIPMonitorData
`getLastReceiveOperationTimestamp, getLastSendOperationTimestamp, getStatus, setLastReceiveOperationTimestamp, setLastSendOperationTimestamp, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7MonitorData

    public HL7MonitorData()

  Constructor

Method Detail

### getHL7SequenceNumber

    public java.lang.String getHL7SequenceNumber()

  Get the HL7 sequence number for processing next message

  Returns:
    Returns the hl7SequenceNumber.

### setHL7SequenceNumber

    public void setHL7SequenceNumber(java.lang.String hl7SequenceNumber)

  Sets the HL7 sequence number for processing next message

  Parameters:
    `hl7SequenceNumber` - The hl7SequenceNumber to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD